using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_YongHu_HuiYuan_JiaHei : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("加黑/解黑会员", "网站后台", "加黑/解黑会员", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("24");

        int ID=Convert.ToInt32(Request.QueryString["ID"]);
        bool 操作 = Convert.ToBoolean(Request.QueryString["c"]);

        SqlCommand 语句 = new SqlCommand("UPDATE [" + 程序.数据表前缀 + "社区_用户_用户] SET [是否加黑]=@是否加黑 WHERE [ID]=" + ID, 访问.连接);
        语句.Parameters.Add("@是否加黑", SqlDbType.Bit).Value = 操作;
        语句.ExecuteNonQuery();

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录((操作 ? "加黑" : "解黑") + "会员", 访问.用户["昵称"].ToString());

        Response.Redirect("HuiYuan.aspx");
    }
}
